## teletextdec teletextdec |

## Properties

gchar * | font-description | Read / Write
gint | page | Read / Write
gint | subpage | Read / Write
gboolean | subtitles-mode | Read / Write
gchar * | subtitles-template | Read / Write

## Types and Values

struct | GstTeletextDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstTeletextDec

## Description

Decode a stream of raw VBI packets containing teletext information to a RGBA stream.

#### Example launch line

    1
    gst-launch-1.0 -v -m filesrc location=recording.mpeg ! tsdemux ! teletextdec ! videoconvert ! ximagesink

## Synopsis

### Element Information

plugin | teletext
author | Sebastian Pölsterl <sebp@k-d-w.org>, Andoni Morales Alastruey <ylatuya@gmail.com>
class | Decoder

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-teletext

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| text/x-raw, format=(string){ utf-8, pango-markup }

## Functions

## Types and Values

### struct GstTeletextDec

    struct GstTeletextDec;

## Property Details

### The `“font-description”` property

      “font-description”         gchar *

Font description used for the pango output.

Flags: Read / Write

Default value: "verdana 12"

### The `“page”` property

      “page”                     gint

Number of page that should displayed.

Flags: Read / Write

Allowed values: [100,999]

Default value: 100

### The `“subpage”` property

      “subpage”                  gint

Number of sub-page that should displayed (-1 for all).

Flags: Read / Write

Allowed values: [G_MAXULONG,153]

Default value: -1

### The `“subtitles-mode”` property

      “subtitles-mode”           gboolean

Enables subtitles mode for text output stripping the blank lines and the teletext state lines.

Flags: Read / Write

Default value: FALSE

### The `“subtitles-template”` property

      “subtitles-template”       gchar *

Output template used to print each one of the subtitles lines.

Flags: Read / Write

Default value: "%s\\n"